# Retrieve an API credential

To fetch a single API credential, send a `GET` request to the `/api/api_credentials/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/api\\_credentials/:id>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the API credential identified by the id "xYZkjABcde":

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```javascript
{
  "data": {
    "id": "xYZkjABcde",
    "type": "api_credentials",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde"
    },
    "attributes": {
      "name": "My app",
      "kind": "sales_channel",
      "confidential": true,
      "redirect_uri": "https://bluebrand.com/img/logo.svg",
      "client_id": "xxxx-yyyy-zzzz",
      "client_secret": "xxxx-yyyy-zzzz",
      "scopes": "market:all market:9 market:122 market:6 stock_location:6 stock_location:33",
      "expires_in": 7200,
      "mode": "test",
      "custom": false,
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "organization": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/relationships/organization",
          "related": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/organization"
        }
      },
      "role": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/relationships/role",
          "related": "https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde/role"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}
